set(0,'DefaultAxesFontName','Times New Roman')
set(0,'DefaultAxesFontSize',15)
clear *

L = 1; N=100; x = linspace(0,L,N); sig = L/20;
dx = L/N; c=exp(-((x-L/2).^2)/(2*sig^2));

% define a table which refers to the 'inner points'
% rhs points and lhs points
in = 1:N; rhs = in+1; lhs=in-1; rhs(N)=1; lhs(1)=N;


dcdx = (c(rhs)-c(lhs))/(2*dx);


dt = 0.0000125; % timestep in seconds
u = 1; % velocity m/s
T = L/u; % 1 pass-by time
K = round(T/dt); % number of timesteps for looping once

for(t=1:K)                       
    % update solution in inner points                
   % c(in) = c(in) - (dt*u)*(c(rhs)-c(lhs))/(2*dx); %CD2
%    c(in) = c(in) - (dt*u)*(c(in)-c(lhs))/(dx); % UW1
    
    c(in) = c(in) + (dt*u)*(c(rhs)-2*c(in)+c(lhs))/(dx^2); % pure diff.problem
    figure(1), clf
    plot(x,c,'o-'), drawnow
end




