set(0,'DefaultAxesFontName','Times New Roman')
set(0,'DefaultAxesFontSize',15)
clear *

L = 1; N=100; x = linspace(0,L,N); sig = L/20;
dx = L/N; c=exp(-((x-L/2).^2)/(2*sig^2));

figure(1), clf

plot(x, c,'s-')
xlabel('x')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
tic % start clock
for(k=2:(N-1))                       
    % update solution in inner points by central diff      
    dcdx(k) = (c(k+1)-c(k-1))/(2*dx); 
end
dcdx(1)=dcdx(2); dcdx(N)=dcdx(N-1); % put something on boundary
toc % reports end time

figure(2), clf
plot(x, dcdx,'o-'), hold on
plot(x, c.*(-(x-L/2)/sig^2),'r-')


